#ifndef BASE_SETTINGS_H
#define BASE_SETTINGS_H

#include <tqwidget.h>
#include <tdeconfig.h>

class TQGridLayout;


//-----------------------------------------------------------------------------
class BaseAppearanceConfig : public TQWidget
{
    Q_OBJECT
  
public:
    BaseAppearanceConfig();

protected:
    TQWidget     *_main;
    TQGridLayout *_grid;
};

//-----------------------------------------------------------------------------
class ColorConfig : public TQWidget
{
    Q_OBJECT
  
public:
    ColorConfig();

private:
    static TQCString colorKey(uint i);
};

#endif
